Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.metadata
Class WsxConstants

    java.lang.Object
      org.apache.muse.ws.metadata.WsxConstants

public class WsxConstants
extends java.lang.Object

WsxConstants is a collection of properties that is useful when programming against the WS-MetadataExchange spec. This class uses WS-MEX 09/2004.

Author:
  Dan Jemiolo (danj)

Field Summary
`static java.lang.String` | `DIALECT`
`static QName` | `DIALECT_QNAME`
`static java.lang.String` | `GET_METADATA_CAPABILITY`
`static QName` | `GET_METADATA_QNAME`
`static java.lang.String` | `GET_METADATA_URI`
`static QName` | `METADATA_QNAME`
`static java.lang.String` | `NAMESPACE_URI`
`static java.lang.String` | `PREFIX`
`static QName` | `SECTION_QNAME`
`static java.lang.String` | `WSDL_DIALECT`

Constructor Summary
`WsxConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### DIALECT

    public static final java.lang.String DIALECT

See Also:
  Constant Field Values

### DIALECT_QNAME

    public static final QName DIALECT_QNAME

### GET_METADATA_CAPABILITY

    public static final java.lang.String GET_METADATA_CAPABILITY

See Also:
  Constant Field Values

### GET_METADATA_QNAME

    public static final QName GET_METADATA_QNAME

### GET_METADATA_URI

    public static final java.lang.String GET_METADATA_URI

See Also:
  Constant Field Values

### METADATA_QNAME

    public static final QName METADATA_QNAME

### SECTION_QNAME

    public static final QName SECTION_QNAME

### WSDL_DIALECT

    public static final java.lang.String WSDL_DIALECT

See Also:
  Constant Field Values

Constructor Detail

### WsxConstants

    public WsxConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD